/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VMissinglistUsers;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VMissinglistUsersRecord extends TableRecordImpl<VMissinglistUsersRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_missinglist_users.fk_missinglist</code>.
     */
    public void setFkMissinglist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_missinglist_users.fk_missinglist</code>.
     */
    public Integer getFkMissinglist() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_missinglist_users.variables</code>.
     */
    public void setVariables(String[] value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_missinglist_users.variables</code>.
     */
    public String[] getVariables() {
        return (String[]) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VMissinglistUsersRecord
     */
    public VMissinglistUsersRecord() {
        super(VMissinglistUsers.V_MISSINGLIST_USERS);
    }

    /**
     * Create a detached, initialised VMissinglistUsersRecord
     */
    public VMissinglistUsersRecord(Integer fkMissinglist, String[] variables) {
        super(VMissinglistUsers.V_MISSINGLIST_USERS);

        setFkMissinglist(fkMissinglist);
        setVariables(variables);
        resetChangedOnNotNull();
    }
}
